# GESMetaContainer Interface

A GObject that implements GESMetaContainer can have metadata set on it, that is data that is unimportant to its function within GES, but may hold some useful information. In particular, ges_meta_container_set_meta can be used to store any GValue under any generic field (specified by a string key). The same method can also be used to remove the field by passing NULL. A number of convenience methods are also provided to make it easier to set common value types. The metadata can then be read with ges_meta_container_get_meta and similar convenience methods.

## Registered Fields

By default, any GValue can be set for a metadata field. However, you can register some fields as static, that is they only allow values of a specific type to be set under them, using ges_meta_container_register_meta or ges_meta_container_register_static_meta. The set GESMetaFlag will determine whether the value can be changed, but even if it can be changed, it must be changed to a value of the same type.

Internally, some GES objects will be initialized with static metadata fields. These will correspond to some standard keys, such as GES_META_VOLUME.

## GESMetaContainer

## GES.MetaContainer

### Methods

#### ges_meta_container_add_metas_from_string

    gboolean
    ges_meta_container_add_metas_from_string (GESMetaContainer * container,
                                              const gchar* str)

Deserializes the given string, and adds and sets the found fields and their values on the container. The string should be the return of ges_meta_container_metas_to_string.

Parameters:

`container` –

A GESMetaContainer

`str` –

A string to deserialize and add to container

Returns –

TRUE if the fields in str was successfully deserialized and added to container.

#### GES.MetaContainer.prototype.add_metas_from_string

    function GES.MetaContainer.prototype.add_metas_from_string(str: String): {
        // javascript wrapper for 'ges_meta_container_add_metas_from_string'
    }

Deserializes the given string, and adds and sets the found fields and their values on the container. The string should be the return of GES.MetaContainer.prototype.metas_to_string.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`str` (String) –

A string to deserialize and add to container

Returns (Number) –

TRUE if the fields in str was successfully deserialized and added to container.

#### GES.MetaContainer.add_metas_from_string

    def GES.MetaContainer.add_metas_from_string (self, str):
        #python wrapper for 'ges_meta_container_add_metas_from_string'

Deserializes the given string, and adds and sets the found fields and their values on the container. The string should be the return of GES.MetaContainer.metas_to_string.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`str` (str) –

A string to deserialize and add to container

Returns (bool) –

TRUE if the fields in str was successfully deserialized and added to container.

#### ges_meta_container_check_meta_registered

    gboolean
    ges_meta_container_check_meta_registered (GESMetaContainer * container,
                                              const gchar* meta_item,
                                              GESMetaFlag * flags,
                                              GType * type)

Checks whether the specified field has been registered as static, and gets the registered type and flags of the field, as used in ges_meta_container_register_meta and ges_meta_container_register_static_meta.

Parameters:

`container` –

A GESMetaContainer

`meta_item` –

The key for the container field to check

`flags` ( [out][optional]) –

A destination to get the registered flags of the field, or NULL to ignore

`type` ( [out][optional]) –

A destination to get the registered type of the field, or NULL to ignore

Returns –

TRUE if the meta_item field has been registered on container.

#### GES.MetaContainer.prototype.check_meta_registered

    function GES.MetaContainer.prototype.check_meta_registered(meta_item: String): {
        // javascript wrapper for 'ges_meta_container_check_meta_registered'
    }

Checks whether the specified field has been registered as static, and gets the registered type and flags of the field, as used in GES.MetaContainer.prototype.register_meta and GES.MetaContainer.prototype.register_static_meta.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (String) –

The key for the container field to check

Returns a tuple made of:

(Number ) –

TRUE if the meta_item field has been registered on container.

`flags` (GES.MetaFlag ) –

TRUE if the meta_item field has been registered on container.

`type` (GObject.Type ) –

TRUE if the meta_item field has been registered on container.

#### GES.MetaContainer.check_meta_registered

    def GES.MetaContainer.check_meta_registered (self, meta_item):
        #python wrapper for 'ges_meta_container_check_meta_registered'

Checks whether the specified field has been registered as static, and gets the registered type and flags of the field, as used in GES.MetaContainer.register_meta and GES.MetaContainer.register_static_meta.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (str) –

The key for the container field to check

Returns a tuple made of:

(bool ) –

TRUE if the meta_item field has been registered on container.

`flags` (GES.MetaFlag ) –

TRUE if the meta_item field has been registered on container.

`type` (GObject.Type ) –

TRUE if the meta_item field has been registered on container.

#### ges_meta_container_foreach

    ges_meta_container_foreach (GESMetaContainer * container,
                                GESMetaForeachFunc func,
                                gpointer user_data)

Calls the given function on each of the meta container's set metadata fields.

Parameters:

`container` –

A GESMetaContainer

`func` ( [scope call]) –

A function to call on each of container's set metadata fields

`user_data` ( [closure]) –

User data to send to func

#### GES.MetaContainer.prototype.foreach

    function GES.MetaContainer.prototype.foreach(func: GES.MetaForeachFunc, user_data: Object): {
        // javascript wrapper for 'ges_meta_container_foreach'
    }

Calls the given function on each of the meta container's set metadata fields.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`func` (GES.MetaForeachFunc) –

A function to call on each of container's set metadata fields

`user_data` (Object) –

User data to send to func

#### GES.MetaContainer.foreach

    def GES.MetaContainer.foreach (self, func, *user_data):
        #python wrapper for 'ges_meta_container_foreach'

Calls the given function on each of the meta container's set metadata fields.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`func` (GES.MetaForeachFunc) –

A function to call on each of container's set metadata fields

`user_data` (variadic) –

User data to send to func

#### ges_meta_container_get_boolean

    gboolean
    ges_meta_container_get_boolean (GESMetaContainer * container,
                                    const gchar* meta_item,
                                    gboolean* dest)

Gets the current boolean value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` –

A GESMetaContainer

`meta_item` –

The key for the container field to get

`dest` ( [out]) –

Destination into which the value under meta_item should be copied.

Returns –

TRUE if the boolean value under meta_item was copied to dest.

#### GES.MetaContainer.prototype.get_boolean

    function GES.MetaContainer.prototype.get_boolean(meta_item: String): {
        // javascript wrapper for 'ges_meta_container_get_boolean'
    }

Gets the current boolean value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (String) –

The key for the container field to get

Returns a tuple made of:

(Number ) –

TRUE if the boolean value under meta_item was copied to dest.

`dest` (Number ) –

TRUE if the boolean value under meta_item was copied to dest.

#### GES.MetaContainer.get_boolean

    def GES.MetaContainer.get_boolean (self, meta_item):
        #python wrapper for 'ges_meta_container_get_boolean'

Gets the current boolean value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (str) –

The key for the container field to get

Returns a tuple made of:

(bool ) –

TRUE if the boolean value under meta_item was copied to dest.

`dest` (bool ) –

TRUE if the boolean value under meta_item was copied to dest.

#### ges_meta_container_get_date

    gboolean
    ges_meta_container_get_date (GESMetaContainer * container,
                                 const gchar* meta_item,
                                 GDate ** dest)

Gets the current date value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` –

A GESMetaContainer

`meta_item` –

The key for the container field to get

`dest` ( [out][optional][transfer: full]) –

Destination into which the value under meta_item should be copied.

Returns –

TRUE if the date value under meta_item was copied to dest.

#### GES.MetaContainer.prototype.get_date

    function GES.MetaContainer.prototype.get_date(meta_item: String): {
        // javascript wrapper for 'ges_meta_container_get_date'
    }

Gets the current date value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (String) –

The key for the container field to get

Returns a tuple made of:

(Number ) –

TRUE if the date value under meta_item was copied to dest.

`dest` (GDate (not introspectable) ) –

TRUE if the date value under meta_item was copied to dest.

#### GES.MetaContainer.get_date

    def GES.MetaContainer.get_date (self, meta_item):
        #python wrapper for 'ges_meta_container_get_date'

Gets the current date value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (str) –

The key for the container field to get

Returns a tuple made of:

(bool ) –

TRUE if the date value under meta_item was copied to dest.

`dest` (GDate (not introspectable) ) –

TRUE if the date value under meta_item was copied to dest.

#### ges_meta_container_get_date_time

    gboolean
    ges_meta_container_get_date_time (GESMetaContainer * container,
                                      const gchar* meta_item,
                                      GstDateTime ** dest)

Gets the current date time value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` –

A GESMetaContainer

`meta_item` –

The key for the container field to get

`dest` ( [out][optional][transfer: full]) –

Destination into which the value under meta_item should be copied.

Returns –

TRUE if the date time value under meta_item was copied to dest.

#### GES.MetaContainer.prototype.get_date_time

    function GES.MetaContainer.prototype.get_date_time(meta_item: String): {
        // javascript wrapper for 'ges_meta_container_get_date_time'
    }

Gets the current date time value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (String) –

The key for the container field to get

Returns a tuple made of:

(Number ) –

TRUE if the date time value under meta_item was copied to dest.

`dest` (Gst.DateTime ) –

TRUE if the date time value under meta_item was copied to dest.

#### GES.MetaContainer.get_date_time

    def GES.MetaContainer.get_date_time (self, meta_item):
        #python wrapper for 'ges_meta_container_get_date_time'

Gets the current date time value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (str) –

The key for the container field to get

Returns a tuple made of:

(bool ) –

TRUE if the date time value under meta_item was copied to dest.

`dest` (Gst.DateTime ) –

TRUE if the date time value under meta_item was copied to dest.

#### ges_meta_container_get_double

    gboolean
    ges_meta_container_get_double (GESMetaContainer * container,
                                   const gchar* meta_item,
                                   gdouble* dest)

Gets the current double value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` –

A GESMetaContainer

`meta_item` –

The key for the container field to get

`dest` ( [out]) –

Destination into which the value under meta_item should be copied.

Returns –

TRUE if the double value under meta_item was copied to dest.

#### GES.MetaContainer.prototype.get_double

    function GES.MetaContainer.prototype.get_double(meta_item: String): {
        // javascript wrapper for 'ges_meta_container_get_double'
    }

Gets the current double value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (String) –

The key for the container field to get

Returns a tuple made of:

(Number ) –

TRUE if the double value under meta_item was copied to dest.

`dest` (Number ) –

TRUE if the double value under meta_item was copied to dest.

#### GES.MetaContainer.get_double

    def GES.MetaContainer.get_double (self, meta_item):
        #python wrapper for 'ges_meta_container_get_double'

Gets the current double value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (str) –

The key for the container field to get

Returns a tuple made of:

(bool ) –

TRUE if the double value under meta_item was copied to dest.

`dest` (float ) –

TRUE if the double value under meta_item was copied to dest.

#### ges_meta_container_get_float

    gboolean
    ges_meta_container_get_float (GESMetaContainer * container,
                                  const gchar* meta_item,
                                  gfloat* dest)

Gets the current float value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` –

A GESMetaContainer

`meta_item` –

The key for the container field to get

`dest` ( [out]) –

Destination into which the value under meta_item should be copied.

Returns –

TRUE if the float value under meta_item was copied to dest.

#### GES.MetaContainer.prototype.get_float

    function GES.MetaContainer.prototype.get_float(meta_item: String): {
        // javascript wrapper for 'ges_meta_container_get_float'
    }

Gets the current float value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (String) –

The key for the container field to get

Returns a tuple made of:

(Number ) –

TRUE if the float value under meta_item was copied to dest.

`dest` (Number ) –

TRUE if the float value under meta_item was copied to dest.

#### GES.MetaContainer.get_float

    def GES.MetaContainer.get_float (self, meta_item):
        #python wrapper for 'ges_meta_container_get_float'

Gets the current float value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (str) –

The key for the container field to get

Returns a tuple made of:

(bool ) –

TRUE if the float value under meta_item was copied to dest.

`dest` (float ) –

TRUE if the float value under meta_item was copied to dest.

#### ges_meta_container_get_int

    gboolean
    ges_meta_container_get_int (GESMetaContainer * container,
                                const gchar* meta_item,
                                gint* dest)

Gets the current int value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` –

A GESMetaContainer

`meta_item` –

The key for the container field to get

`dest` ( [out]) –

Destination into which the value under meta_item should be copied.

Returns –

TRUE if the int value under meta_item was copied to dest.

#### GES.MetaContainer.prototype.get_int

    function GES.MetaContainer.prototype.get_int(meta_item: String): {
        // javascript wrapper for 'ges_meta_container_get_int'
    }

Gets the current int value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (String) –

The key for the container field to get

Returns a tuple made of:

(Number ) –

TRUE if the int value under meta_item was copied to dest.

`dest` (Number ) –

TRUE if the int value under meta_item was copied to dest.

#### GES.MetaContainer.get_int

    def GES.MetaContainer.get_int (self, meta_item):
        #python wrapper for 'ges_meta_container_get_int'

Gets the current int value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (str) –

The key for the container field to get

Returns a tuple made of:

(bool ) –

TRUE if the int value under meta_item was copied to dest.

`dest` (int ) –

TRUE if the int value under meta_item was copied to dest.

#### ges_meta_container_get_int64

    gboolean
    ges_meta_container_get_int64 (GESMetaContainer * container,
                                  const gchar* meta_item,
                                  gint64* dest)

Gets the current int64 value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` –

A GESMetaContainer

`meta_item` –

The key for the container field to get

`dest` ( [out]) –

Destination into which the value under meta_item should be copied.

Returns –

TRUE if the int64 value under meta_item was copied to dest.

#### GES.MetaContainer.prototype.get_int64

    function GES.MetaContainer.prototype.get_int64(meta_item: String): {
        // javascript wrapper for 'ges_meta_container_get_int64'
    }

Gets the current int64 value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (String) –

The key for the container field to get

Returns a tuple made of:

(Number ) –

TRUE if the int64 value under meta_item was copied to dest.

`dest` (Number ) –

TRUE if the int64 value under meta_item was copied to dest.

#### GES.MetaContainer.get_int64

    def GES.MetaContainer.get_int64 (self, meta_item):
        #python wrapper for 'ges_meta_container_get_int64'

Gets the current int64 value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (str) –

The key for the container field to get

Returns a tuple made of:

(bool ) –

TRUE if the int64 value under meta_item was copied to dest.

`dest` (int ) –

TRUE if the int64 value under meta_item was copied to dest.

#### ges_meta_container_get_marker_list

    GESMarkerList *
    ges_meta_container_get_marker_list (GESMetaContainer * container,
                                        const gchar* key)

Gets the current marker list value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` –

A GESMetaContainer

`key` –

The key for the container field to get

Returns ( [transfer: full][nullable]) –

A copy of the marker list value under key, or NULL if it could not be fetched.

Since : 1.18

#### GES.MetaContainer.prototype.get_marker_list

    function GES.MetaContainer.prototype.get_marker_list(key: String): {
        // javascript wrapper for 'ges_meta_container_get_marker_list'
    }

Gets the current marker list value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`key` (String) –

The key for the container field to get

Returns (GES.MarkerList) –

A copy of the marker list value under key, or NULL if it could not be fetched.

Since : 1.18

#### GES.MetaContainer.get_marker_list

    def GES.MetaContainer.get_marker_list (self, key):
        #python wrapper for 'ges_meta_container_get_marker_list'

Gets the current marker list value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`key` (str) –

The key for the container field to get

Returns (GES.MarkerList) –

A copy of the marker list value under key, or NULL if it could not be fetched.

Since : 1.18

#### ges_meta_container_get_meta

    const GValue *
    ges_meta_container_get_meta (GESMetaContainer * container,
                                 const gchar* key)

Gets the current value of the specified field of the meta container.

Parameters:

`container` –

A GESMetaContainer

`key` –

The key for the container field to get

Returns ( [transfer: none][nullable]) –

The value under key, or NULL if container does not have the field set.

#### GES.MetaContainer.prototype.get_meta

    function GES.MetaContainer.prototype.get_meta(key: String): {
        // javascript wrapper for 'ges_meta_container_get_meta'
    }

Gets the current value of the specified field of the meta container.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`key` (String) –

The key for the container field to get

Returns (GObject.Value) –

The value under key, or NULL if container does not have the field set.

#### GES.MetaContainer.get_meta

    def GES.MetaContainer.get_meta (self, key):
        #python wrapper for 'ges_meta_container_get_meta'

Gets the current value of the specified field of the meta container.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`key` (str) –

The key for the container field to get

Returns (GObject.Value) –

The value under key, or NULL if container does not have the field set.

#### ges_meta_container_get_string

    const gchar*
    ges_meta_container_get_string (GESMetaContainer * container,
                                   const gchar* meta_item)

Gets the current string value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` –

A GESMetaContainer

`meta_item` –

The key for the container field to get

Returns ( [transfer: none][nullable]) –

The string value under meta_item, or NULL if it could not be fetched.

#### GES.MetaContainer.prototype.get_string

    function GES.MetaContainer.prototype.get_string(meta_item: String): {
        // javascript wrapper for 'ges_meta_container_get_string'
    }

Gets the current string value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (String) –

The key for the container field to get

Returns (String) –

The string value under meta_item, or NULL if it could not be fetched.

#### GES.MetaContainer.get_string

    def GES.MetaContainer.get_string (self, meta_item):
        #python wrapper for 'ges_meta_container_get_string'

Gets the current string value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (str) –

The key for the container field to get

Returns (str) –

The string value under meta_item, or NULL if it could not be fetched.

#### ges_meta_container_get_uint

    gboolean
    ges_meta_container_get_uint (GESMetaContainer * container,
                                 const gchar* meta_item,
                                 guint* dest)

Gets the current uint value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` –

A GESMetaContainer

`meta_item` –

The key for the container field to get

`dest` ( [out]) –

Destination into which the value under meta_item should be copied.

Returns –

TRUE if the uint value under meta_item was copied to dest.

#### GES.MetaContainer.prototype.get_uint

    function GES.MetaContainer.prototype.get_uint(meta_item: String): {
        // javascript wrapper for 'ges_meta_container_get_uint'
    }

Gets the current uint value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (String) –

The key for the container field to get

Returns a tuple made of:

(Number ) –

TRUE if the uint value under meta_item was copied to dest.

`dest` (Number ) –

TRUE if the uint value under meta_item was copied to dest.

#### GES.MetaContainer.get_uint

    def GES.MetaContainer.get_uint (self, meta_item):
        #python wrapper for 'ges_meta_container_get_uint'

Gets the current uint value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (str) –

The key for the container field to get

Returns a tuple made of:

(bool ) –

TRUE if the uint value under meta_item was copied to dest.

`dest` (int ) –

TRUE if the uint value under meta_item was copied to dest.

#### ges_meta_container_get_uint64

    gboolean
    ges_meta_container_get_uint64 (GESMetaContainer * container,
                                   const gchar* meta_item,
                                   guint64* dest)

Gets the current uint64 value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` –

A GESMetaContainer

`meta_item` –

The key for the container field to get

`dest` ( [out]) –

Destination into which the value under meta_item should be copied.

Returns –

TRUE if the uint64 value under meta_item was copied to dest.

#### GES.MetaContainer.prototype.get_uint64

    function GES.MetaContainer.prototype.get_uint64(meta_item: String): {
        // javascript wrapper for 'ges_meta_container_get_uint64'
    }

Gets the current uint64 value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (String) –

The key for the container field to get

Returns a tuple made of:

(Number ) –

TRUE if the uint64 value under meta_item was copied to dest.

`dest` (Number ) –

TRUE if the uint64 value under meta_item was copied to dest.

#### GES.MetaContainer.get_uint64

    def GES.MetaContainer.get_uint64 (self, meta_item):
        #python wrapper for 'ges_meta_container_get_uint64'

Gets the current uint64 value of the specified field of the meta container. If the field does not have a set value, or it is of the wrong type, the method will fail.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (str) –

The key for the container field to get

Returns a tuple made of:

(bool ) –

TRUE if the uint64 value under meta_item was copied to dest.

`dest` (int ) –

TRUE if the uint64 value under meta_item was copied to dest.

#### ges_meta_container_metas_to_string

    gchar*
    ges_meta_container_metas_to_string (GESMetaContainer * container)

Serializes the set metadata fields of the meta container to a string.

Parameters:

`container` –

A GESMetaContainer

Returns ( [transfer: full]) –

A serialized container.

#### GES.MetaContainer.prototype.metas_to_string

    function GES.MetaContainer.prototype.metas_to_string(): {
        // javascript wrapper for 'ges_meta_container_metas_to_string'
    }

Serializes the set metadata fields of the meta container to a string.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

Returns (String) –

A serialized container.

#### GES.MetaContainer.metas_to_string

    def GES.MetaContainer.metas_to_string (self):
        #python wrapper for 'ges_meta_container_metas_to_string'

Serializes the set metadata fields of the meta container to a string.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

Returns (str) –

A serialized container.

#### ges_meta_container_register_meta

    gboolean
    ges_meta_container_register_meta (GESMetaContainer * container,
                                      GESMetaFlag flags,
                                      const gchar* meta_item,
                                      const GValue * value)

Sets the value of the specified field of the meta container to the given value, and registers the field to only hold a value of the same type. After calling this, only values of the same type as value can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` –

A GESMetaContainer

`flags` –

Flags to be used for the registered field

`meta_item` –

The key for the container field to register

`value` –

The value to set for the registered field

Returns –

TRUE if the meta_item field was successfully registered on container to only hold value types, with the given flags, and the field was successfully set to value.

#### GES.MetaContainer.prototype.register_meta

    function GES.MetaContainer.prototype.register_meta(flags: GES.MetaFlag, meta_item: String, value: GObject.Value): {
        // javascript wrapper for 'ges_meta_container_register_meta'
    }

Sets the value of the specified field of the meta container to the given value, and registers the field to only hold a value of the same type. After calling this, only values of the same type as value can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`flags` (GES.MetaFlag) –

Flags to be used for the registered field

`meta_item` (String) –

The key for the container field to register

`value` (GObject.Value) –

The value to set for the registered field

Returns (Number) –

TRUE if the meta_item field was successfully registered on container to only hold value types, with the given flags, and the field was successfully set to value.

#### GES.MetaContainer.register_meta

    def GES.MetaContainer.register_meta (self, flags, meta_item, value):
        #python wrapper for 'ges_meta_container_register_meta'

Sets the value of the specified field of the meta container to the given value, and registers the field to only hold a value of the same type. After calling this, only values of the same type as value can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`flags` (GES.MetaFlag) –

Flags to be used for the registered field

`meta_item` (str) –

The key for the container field to register

`value` (GObject.Value) –

The value to set for the registered field

Returns (bool) –

TRUE if the meta_item field was successfully registered on container to only hold value types, with the given flags, and the field was successfully set to value.

#### ges_meta_container_register_meta_boolean

    gboolean
    ges_meta_container_register_meta_boolean (GESMetaContainer * container,
                                              GESMetaFlag flags,
                                              const gchar* meta_item,
                                              gboolean value)

Sets the value of the specified field of the meta container to the given boolean value, and registers the field to only hold a boolean typed value. After calling this, only boolean values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` –

A GESMetaContainer

`flags` –

Flags to be used for the registered field

`meta_item` –

The key for the container field to register

`value` –

The value to set for the registered field

Returns –

TRUE if the meta_item field was successfully registered on container to only hold boolean typed values, with the given flags, and the field was successfully set to value.

#### GES.MetaContainer.prototype.register_meta_boolean

    function GES.MetaContainer.prototype.register_meta_boolean(flags: GES.MetaFlag, meta_item: String, value: Number): {
        // javascript wrapper for 'ges_meta_container_register_meta_boolean'
    }

Sets the value of the specified field of the meta container to the given boolean value, and registers the field to only hold a boolean typed value. After calling this, only boolean values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`flags` (GES.MetaFlag) –

Flags to be used for the registered field

`meta_item` (String) –

The key for the container field to register

`value` (Number) –

The value to set for the registered field

Returns (Number) –

TRUE if the meta_item field was successfully registered on container to only hold boolean typed values, with the given flags, and the field was successfully set to value.

#### GES.MetaContainer.register_meta_boolean

    def GES.MetaContainer.register_meta_boolean (self, flags, meta_item, value):
        #python wrapper for 'ges_meta_container_register_meta_boolean'

Sets the value of the specified field of the meta container to the given boolean value, and registers the field to only hold a boolean typed value. After calling this, only boolean values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`flags` (GES.MetaFlag) –

Flags to be used for the registered field

`meta_item` (str) –

The key for the container field to register

`value` (bool) –

The value to set for the registered field

Returns (bool) –

TRUE if the meta_item field was successfully registered on container to only hold boolean typed values, with the given flags, and the field was successfully set to value.

#### ges_meta_container_register_meta_date

    gboolean
    ges_meta_container_register_meta_date (GESMetaContainer * container,
                                           GESMetaFlag flags,
                                           const gchar* meta_item,
                                           const GDate * value)

Sets the value of the specified field of the meta container to the given date value, and registers the field to only hold a date typed value. After calling this, only date values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` –

A GESMetaContainer

`flags` –

Flags to be used for the registered field

`meta_item` –

The key for the container field to register

`value` –

The value to set for the registered field

Returns –

TRUE if the meta_item field was successfully registered on container to only hold date typed values, with the given flags, and the field was successfully set to value.

#### GES.MetaContainer.prototype.register_meta_date

    function GES.MetaContainer.prototype.register_meta_date(flags: GES.MetaFlag, meta_item: String, value: GDate (not introspectable)): {
        // javascript wrapper for 'ges_meta_container_register_meta_date'
    }

Sets the value of the specified field of the meta container to the given date value, and registers the field to only hold a date typed value. After calling this, only date values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`flags` (GES.MetaFlag) –

Flags to be used for the registered field

`meta_item` (String) –

The key for the container field to register

`value` (GDate (not introspectable)) –

The value to set for the registered field

Returns (Number) –

TRUE if the meta_item field was successfully registered on container to only hold date typed values, with the given flags, and the field was successfully set to value.

#### GES.MetaContainer.register_meta_date

    def GES.MetaContainer.register_meta_date (self, flags, meta_item, value):
        #python wrapper for 'ges_meta_container_register_meta_date'

Sets the value of the specified field of the meta container to the given date value, and registers the field to only hold a date typed value. After calling this, only date values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`flags` (GES.MetaFlag) –

Flags to be used for the registered field

`meta_item` (str) –

The key for the container field to register

`value` (GDate (not introspectable)) –

The value to set for the registered field

Returns (bool) –

TRUE if the meta_item field was successfully registered on container to only hold date typed values, with the given flags, and the field was successfully set to value.

#### ges_meta_container_register_meta_date_time

    gboolean
    ges_meta_container_register_meta_date_time (GESMetaContainer * container,
                                                GESMetaFlag flags,
                                                const gchar* meta_item,
                                                const GstDateTime * value)

Sets the value of the specified field of the meta container to the given date time value, and registers the field to only hold a date time typed value. After calling this, only date time values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` –

A GESMetaContainer

`flags` –

Flags to be used for the registered field

`meta_item` –

The key for the container field to register

`value` –

The value to set for the registered field

Returns –

TRUE if the meta_item field was successfully registered on container to only hold date time typed values, with the given flags, and the field was successfully set to value.

#### GES.MetaContainer.prototype.register_meta_date_time

    function GES.MetaContainer.prototype.register_meta_date_time(flags: GES.MetaFlag, meta_item: String, value: Gst.DateTime): {
        // javascript wrapper for 'ges_meta_container_register_meta_date_time'
    }

Sets the value of the specified field of the meta container to the given date time value, and registers the field to only hold a date time typed value. After calling this, only date time values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`flags` (GES.MetaFlag) –

Flags to be used for the registered field

`meta_item` (String) –

The key for the container field to register

`value` (Gst.DateTime) –

The value to set for the registered field

Returns (Number) –

TRUE if the meta_item field was successfully registered on container to only hold date time typed values, with the given flags, and the field was successfully set to value.

#### GES.MetaContainer.register_meta_date_time

    def GES.MetaContainer.register_meta_date_time (self, flags, meta_item, value):
        #python wrapper for 'ges_meta_container_register_meta_date_time'

Sets the value of the specified field of the meta container to the given date time value, and registers the field to only hold a date time typed value. After calling this, only date time values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`flags` (GES.MetaFlag) –

Flags to be used for the registered field

`meta_item` (str) –

The key for the container field to register

`value` (Gst.DateTime) –

The value to set for the registered field

Returns (bool) –

TRUE if the meta_item field was successfully registered on container to only hold date time typed values, with the given flags, and the field was successfully set to value.

#### ges_meta_container_register_meta_double

    gboolean
    ges_meta_container_register_meta_double (GESMetaContainer * container,
                                             GESMetaFlag flags,
                                             const gchar* meta_item,
                                             gdouble value)

Sets the value of the specified field of the meta container to the given double value, and registers the field to only hold a double typed value. After calling this, only double values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` –

A GESMetaContainer

`flags` –

Flags to be used for the registered field

`meta_item` –

The key for the container field to register

`value` –

The value to set for the registered field

Returns –

TRUE if the meta_item field was successfully registered on container to only hold double typed values, with the given flags, and the field was successfully set to value.

#### GES.MetaContainer.prototype.register_meta_double

    function GES.MetaContainer.prototype.register_meta_double(flags: GES.MetaFlag, meta_item: String, value: Number): {
        // javascript wrapper for 'ges_meta_container_register_meta_double'
    }

Sets the value of the specified field of the meta container to the given double value, and registers the field to only hold a double typed value. After calling this, only double values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`flags` (GES.MetaFlag) –

Flags to be used for the registered field

`meta_item` (String) –

The key for the container field to register

`value` (Number) –

The value to set for the registered field

Returns (Number) –

TRUE if the meta_item field was successfully registered on container to only hold double typed values, with the given flags, and the field was successfully set to value.

#### GES.MetaContainer.register_meta_double

    def GES.MetaContainer.register_meta_double (self, flags, meta_item, value):
        #python wrapper for 'ges_meta_container_register_meta_double'

Sets the value of the specified field of the meta container to the given double value, and registers the field to only hold a double typed value. After calling this, only double values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`flags` (GES.MetaFlag) –

Flags to be used for the registered field

`meta_item` (str) –

The key for the container field to register

`value` (float) –

The value to set for the registered field

Returns (bool) –

TRUE if the meta_item field was successfully registered on container to only hold double typed values, with the given flags, and the field was successfully set to value.

#### ges_meta_container_register_meta_float

    gboolean
    ges_meta_container_register_meta_float (GESMetaContainer * container,
                                            GESMetaFlag flags,
                                            const gchar* meta_item,
                                            gfloat value)

Sets the value of the specified field of the meta container to the given float value, and registers the field to only hold a float typed value. After calling this, only float values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` –

A GESMetaContainer

`flags` –

Flags to be used for the registered field

`meta_item` –

The key for the container field to register

`value` –

The value to set for the registered field

Returns –

TRUE if the meta_item field was successfully registered on container to only hold float typed values, with the given flags, and the field was successfully set to value.

#### GES.MetaContainer.prototype.register_meta_float

    function GES.MetaContainer.prototype.register_meta_float(flags: GES.MetaFlag, meta_item: String, value: Number): {
        // javascript wrapper for 'ges_meta_container_register_meta_float'
    }

Sets the value of the specified field of the meta container to the given float value, and registers the field to only hold a float typed value. After calling this, only float values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`flags` (GES.MetaFlag) –

Flags to be used for the registered field

`meta_item` (String) –

The key for the container field to register

`value` (Number) –

The value to set for the registered field

Returns (Number) –

TRUE if the meta_item field was successfully registered on container to only hold float typed values, with the given flags, and the field was successfully set to value.

#### GES.MetaContainer.register_meta_float

    def GES.MetaContainer.register_meta_float (self, flags, meta_item, value):
        #python wrapper for 'ges_meta_container_register_meta_float'

Sets the value of the specified field of the meta container to the given float value, and registers the field to only hold a float typed value. After calling this, only float values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`flags` (GES.MetaFlag) –

Flags to be used for the registered field

`meta_item` (str) –

The key for the container field to register

`value` (float) –

The value to set for the registered field

Returns (bool) –

TRUE if the meta_item field was successfully registered on container to only hold float typed values, with the given flags, and the field was successfully set to value.

#### ges_meta_container_register_meta_int

    gboolean
    ges_meta_container_register_meta_int (GESMetaContainer * container,
                                          GESMetaFlag flags,
                                          const gchar* meta_item,
                                          gint value)

Sets the value of the specified field of the meta container to the given int value, and registers the field to only hold an int typed value. After calling this, only int values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` –

A GESMetaContainer

`flags` –

Flags to be used for the registered field

`meta_item` –

The key for the container field to register

`value` –

The value to set for the registered field

Returns –

TRUE if the meta_item field was successfully registered on container to only hold int typed values, with the given flags, and the field was successfully set to value.

#### GES.MetaContainer.prototype.register_meta_int

    function GES.MetaContainer.prototype.register_meta_int(flags: GES.MetaFlag, meta_item: String, value: Number): {
        // javascript wrapper for 'ges_meta_container_register_meta_int'
    }

Sets the value of the specified field of the meta container to the given int value, and registers the field to only hold an int typed value. After calling this, only int values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`flags` (GES.MetaFlag) –

Flags to be used for the registered field

`meta_item` (String) –

The key for the container field to register

`value` (Number) –

The value to set for the registered field

Returns (Number) –

TRUE if the meta_item field was successfully registered on container to only hold int typed values, with the given flags, and the field was successfully set to value.

#### GES.MetaContainer.register_meta_int

    def GES.MetaContainer.register_meta_int (self, flags, meta_item, value):
        #python wrapper for 'ges_meta_container_register_meta_int'

Sets the value of the specified field of the meta container to the given int value, and registers the field to only hold an int typed value. After calling this, only int values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`flags` (GES.MetaFlag) –

Flags to be used for the registered field

`meta_item` (str) –

The key for the container field to register

`value` (int) –

The value to set for the registered field

Returns (bool) –

TRUE if the meta_item field was successfully registered on container to only hold int typed values, with the given flags, and the field was successfully set to value.

#### ges_meta_container_register_meta_int64

    gboolean
    ges_meta_container_register_meta_int64 (GESMetaContainer * container,
                                            GESMetaFlag flags,
                                            const gchar* meta_item,
                                            gint64 value)

Sets the value of the specified field of the meta container to the given int64 value, and registers the field to only hold an int64 typed value. After calling this, only int64 values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` –

A GESMetaContainer

`flags` –

Flags to be used for the registered field

`meta_item` –

The key for the container field to register

`value` –

The value to set for the registered field

Returns –

TRUE if the meta_item field was successfully registered on container to only hold int64 typed values, with the given flags, and the field was successfully set to value.

#### GES.MetaContainer.prototype.register_meta_int64

    function GES.MetaContainer.prototype.register_meta_int64(flags: GES.MetaFlag, meta_item: String, value: Number): {
        // javascript wrapper for 'ges_meta_container_register_meta_int64'
    }

Sets the value of the specified field of the meta container to the given int64 value, and registers the field to only hold an int64 typed value. After calling this, only int64 values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`flags` (GES.MetaFlag) –

Flags to be used for the registered field

`meta_item` (String) –

The key for the container field to register

`value` (Number) –

The value to set for the registered field

Returns (Number) –

TRUE if the meta_item field was successfully registered on container to only hold int64 typed values, with the given flags, and the field was successfully set to value.

#### GES.MetaContainer.register_meta_int64

    def GES.MetaContainer.register_meta_int64 (self, flags, meta_item, value):
        #python wrapper for 'ges_meta_container_register_meta_int64'

Sets the value of the specified field of the meta container to the given int64 value, and registers the field to only hold an int64 typed value. After calling this, only int64 values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`flags` (GES.MetaFlag) –

Flags to be used for the registered field

`meta_item` (str) –

The key for the container field to register

`value` (int) –

The value to set for the registered field

Returns (bool) –

TRUE if the meta_item field was successfully registered on container to only hold int64 typed values, with the given flags, and the field was successfully set to value.

#### ges_meta_container_register_meta_string

    gboolean
    ges_meta_container_register_meta_string (GESMetaContainer * container,
                                             GESMetaFlag flags,
                                             const gchar* meta_item,
                                             const gchar* value)

Sets the value of the specified field of the meta container to the given string value, and registers the field to only hold a string typed value. After calling this, only string values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` –

A GESMetaContainer

`flags` –

Flags to be used for the registered field

`meta_item` –

The key for the container field to register

`value` –

The value to set for the registered field

Returns –

TRUE if the meta_item field was successfully registered on container to only hold string typed values, with the given flags, and the field was successfully set to value.

#### GES.MetaContainer.prototype.register_meta_string

    function GES.MetaContainer.prototype.register_meta_string(flags: GES.MetaFlag, meta_item: String, value: String): {
        // javascript wrapper for 'ges_meta_container_register_meta_string'
    }

Sets the value of the specified field of the meta container to the given string value, and registers the field to only hold a string typed value. After calling this, only string values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`flags` (GES.MetaFlag) –

Flags to be used for the registered field

`meta_item` (String) –

The key for the container field to register

`value` (String) –

The value to set for the registered field

Returns (Number) –

TRUE if the meta_item field was successfully registered on container to only hold string typed values, with the given flags, and the field was successfully set to value.

#### GES.MetaContainer.register_meta_string

    def GES.MetaContainer.register_meta_string (self, flags, meta_item, value):
        #python wrapper for 'ges_meta_container_register_meta_string'

Sets the value of the specified field of the meta container to the given string value, and registers the field to only hold a string typed value. After calling this, only string values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`flags` (GES.MetaFlag) –

Flags to be used for the registered field

`meta_item` (str) –

The key for the container field to register

`value` (str) –

The value to set for the registered field

Returns (bool) –

TRUE if the meta_item field was successfully registered on container to only hold string typed values, with the given flags, and the field was successfully set to value.

#### ges_meta_container_register_meta_uint

    gboolean
    ges_meta_container_register_meta_uint (GESMetaContainer * container,
                                           GESMetaFlag flags,
                                           const gchar* meta_item,
                                           guint value)

Sets the value of the specified field of the meta container to the given uint value, and registers the field to only hold a uint typed value. After calling this, only uint values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` –

A GESMetaContainer

`flags` –

Flags to be used for the registered field

`meta_item` –

The key for the container field to register

`value` –

The value to set for the registered field

Returns –

TRUE if the meta_item field was successfully registered on container to only hold uint typed values, with the given flags, and the field was successfully set to value.

#### GES.MetaContainer.prototype.register_meta_uint

    function GES.MetaContainer.prototype.register_meta_uint(flags: GES.MetaFlag, meta_item: String, value: Number): {
        // javascript wrapper for 'ges_meta_container_register_meta_uint'
    }

Sets the value of the specified field of the meta container to the given uint value, and registers the field to only hold a uint typed value. After calling this, only uint values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`flags` (GES.MetaFlag) –

Flags to be used for the registered field

`meta_item` (String) –

The key for the container field to register

`value` (Number) –

The value to set for the registered field

Returns (Number) –

TRUE if the meta_item field was successfully registered on container to only hold uint typed values, with the given flags, and the field was successfully set to value.

#### GES.MetaContainer.register_meta_uint

    def GES.MetaContainer.register_meta_uint (self, flags, meta_item, value):
        #python wrapper for 'ges_meta_container_register_meta_uint'

Sets the value of the specified field of the meta container to the given uint value, and registers the field to only hold a uint typed value. After calling this, only uint values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`flags` (GES.MetaFlag) –

Flags to be used for the registered field

`meta_item` (str) –

The key for the container field to register

`value` (int) –

The value to set for the registered field

Returns (bool) –

TRUE if the meta_item field was successfully registered on container to only hold uint typed values, with the given flags, and the field was successfully set to value.

#### ges_meta_container_register_meta_uint64

    gboolean
    ges_meta_container_register_meta_uint64 (GESMetaContainer * container,
                                             GESMetaFlag flags,
                                             const gchar* meta_item,
                                             guint64 value)

Sets the value of the specified field of the meta container to the given uint64 value, and registers the field to only hold a uint64 typed value. After calling this, only uint64 values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` –

A GESMetaContainer

`flags` –

Flags to be used for the registered field

`meta_item` –

The key for the container field to register

`value` –

The value to set for the registered field

Returns –

TRUE if the meta_item field was successfully registered on container to only hold uint64 typed values, with the given flags, and the field was successfully set to value.

#### GES.MetaContainer.prototype.register_meta_uint64

    function GES.MetaContainer.prototype.register_meta_uint64(flags: GES.MetaFlag, meta_item: String, value: Number): {
        // javascript wrapper for 'ges_meta_container_register_meta_uint64'
    }

Sets the value of the specified field of the meta container to the given uint64 value, and registers the field to only hold a uint64 typed value. After calling this, only uint64 values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`flags` (GES.MetaFlag) –

Flags to be used for the registered field

`meta_item` (String) –

The key for the container field to register

`value` (Number) –

The value to set for the registered field

Returns (Number) –

TRUE if the meta_item field was successfully registered on container to only hold uint64 typed values, with the given flags, and the field was successfully set to value.

#### GES.MetaContainer.register_meta_uint64

    def GES.MetaContainer.register_meta_uint64 (self, flags, meta_item, value):
        #python wrapper for 'ges_meta_container_register_meta_uint64'

Sets the value of the specified field of the meta container to the given uint64 value, and registers the field to only hold a uint64 typed value. After calling this, only uint64 values can be set for this field. The given flags can be set to make this field only readable after calling this method.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`flags` (GES.MetaFlag) –

Flags to be used for the registered field

`meta_item` (str) –

The key for the container field to register

`value` (int) –

The value to set for the registered field

Returns (bool) –

TRUE if the meta_item field was successfully registered on container to only hold uint64 typed values, with the given flags, and the field was successfully set to value.

#### ges_meta_container_register_static_meta

    gboolean
    ges_meta_container_register_static_meta (GESMetaContainer * container,
                                             GESMetaFlag flags,
                                             const gchar* meta_item,
                                             GType type)

Registers a static metadata field on the container to only hold the specified type. After calling this, setting a value under this field can only succeed if its type matches the registered type of the field.

Unlike ges_meta_container_register_meta, no (initial) value is set for this field, which means you can use this method to reserve the space to be optionally set later.

Note that if a value has already been set for the field being registered, then its type must match the registering type, and its value will be left in place. If the field has no set value, then you will likely want to include GES_META_WRITABLE in flags to allow the value to be set later.

Parameters:

`container` –

A GESMetaContainer

`flags` –

Flags to be used for the registered field

`meta_item` –

The key for the container field to register

`type` –

The required value type for the registered field

Returns –

TRUE if the meta_item field was successfully registered on container to only hold type values, with the given flags.

Since : 1.18

#### GES.MetaContainer.prototype.register_static_meta

    function GES.MetaContainer.prototype.register_static_meta(flags: GES.MetaFlag, meta_item: String, type: GObject.Type): {
        // javascript wrapper for 'ges_meta_container_register_static_meta'
    }

Registers a static metadata field on the container to only hold the specified type. After calling this, setting a value under this field can only succeed if its type matches the registered type of the field.

Unlike GES.MetaContainer.prototype.register_meta, no (initial) value is set for this field, which means you can use this method to reserve the space to be optionally set later.

Note that if a value has already been set for the field being registered, then its type must match the registering type, and its value will be left in place. If the field has no set value, then you will likely want to include GES.MetaFlag.WRITABLE in flags to allow the value to be set later.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`flags` (GES.MetaFlag) –

Flags to be used for the registered field

`meta_item` (String) –

The key for the container field to register

`type` (GObject.Type) –

The required value type for the registered field

Returns (Number) –

TRUE if the meta_item field was successfully registered on container to only hold type values, with the given flags.

Since : 1.18

#### GES.MetaContainer.register_static_meta

    def GES.MetaContainer.register_static_meta (self, flags, meta_item, type):
        #python wrapper for 'ges_meta_container_register_static_meta'

Registers a static metadata field on the container to only hold the specified type. After calling this, setting a value under this field can only succeed if its type matches the registered type of the field.

Unlike GES.MetaContainer.register_meta, no (initial) value is set for this field, which means you can use this method to reserve the space to be optionally set later.

Note that if a value has already been set for the field being registered, then its type must match the registering type, and its value will be left in place. If the field has no set value, then you will likely want to include GES.MetaFlag.WRITABLE in flags to allow the value to be set later.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`flags` (GES.MetaFlag) –

Flags to be used for the registered field

`meta_item` (str) –

The key for the container field to register

`type` (GObject.Type) –

The required value type for the registered field

Returns (bool) –

TRUE if the meta_item field was successfully registered on container to only hold type values, with the given flags.

Since : 1.18

#### ges_meta_container_set_boolean

    gboolean
    ges_meta_container_set_boolean (GESMetaContainer * container,
                                    const gchar* meta_item,
                                    gboolean value)

Sets the value of the specified field of the meta container to the given boolean value.

Parameters:

`container` –

A GESMetaContainer

`meta_item` –

The key for the container field to set

`value` –

The value to set under meta_item

Returns –

TRUE if value was set under meta_item for container.

#### GES.MetaContainer.prototype.set_boolean

    function GES.MetaContainer.prototype.set_boolean(meta_item: String, value: Number): {
        // javascript wrapper for 'ges_meta_container_set_boolean'
    }

Sets the value of the specified field of the meta container to the given boolean value.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (String) –

The key for the container field to set

`value` (Number) –

The value to set under meta_item

Returns (Number) –

TRUE if value was set under meta_item for container.

#### GES.MetaContainer.set_boolean

    def GES.MetaContainer.set_boolean (self, meta_item, value):
        #python wrapper for 'ges_meta_container_set_boolean'

Sets the value of the specified field of the meta container to the given boolean value.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (str) –

The key for the container field to set

`value` (bool) –

The value to set under meta_item

Returns (bool) –

TRUE if value was set under meta_item for container.

#### ges_meta_container_set_date

    gboolean
    ges_meta_container_set_date (GESMetaContainer * container,
                                 const gchar* meta_item,
                                 const GDate * value)

Sets the value of the specified field of the meta container to the given date value.

Parameters:

`container` –

A GESMetaContainer

`meta_item` –

The key for the container field to set

`value` –

The value to set under meta_item

Returns –

TRUE if value was set under meta_item for container.

#### GES.MetaContainer.prototype.set_date

    function GES.MetaContainer.prototype.set_date(meta_item: String, value: GDate (not introspectable)): {
        // javascript wrapper for 'ges_meta_container_set_date'
    }

Sets the value of the specified field of the meta container to the given date value.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (String) –

The key for the container field to set

`value` (GDate (not introspectable)) –

The value to set under meta_item

Returns (Number) –

TRUE if value was set under meta_item for container.

#### GES.MetaContainer.set_date

    def GES.MetaContainer.set_date (self, meta_item, value):
        #python wrapper for 'ges_meta_container_set_date'

Sets the value of the specified field of the meta container to the given date value.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (str) –

The key for the container field to set

`value` (GDate (not introspectable)) –

The value to set under meta_item

Returns (bool) –

TRUE if value was set under meta_item for container.

#### ges_meta_container_set_date_time

    gboolean
    ges_meta_container_set_date_time (GESMetaContainer * container,
                                      const gchar* meta_item,
                                      const GstDateTime * value)

Sets the value of the specified field of the meta container to the given date time value.

Parameters:

`container` –

A GESMetaContainer

`meta_item` –

The key for the container field to set

`value` –

The value to set under meta_item

Returns –

TRUE if value was set under meta_item for container.

#### GES.MetaContainer.prototype.set_date_time

    function GES.MetaContainer.prototype.set_date_time(meta_item: String, value: Gst.DateTime): {
        // javascript wrapper for 'ges_meta_container_set_date_time'
    }

Sets the value of the specified field of the meta container to the given date time value.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (String) –

The key for the container field to set

`value` (Gst.DateTime) –

The value to set under meta_item

Returns (Number) –

TRUE if value was set under meta_item for container.

#### GES.MetaContainer.set_date_time

    def GES.MetaContainer.set_date_time (self, meta_item, value):
        #python wrapper for 'ges_meta_container_set_date_time'

Sets the value of the specified field of the meta container to the given date time value.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (str) –

The key for the container field to set

`value` (Gst.DateTime) –

The value to set under meta_item

Returns (bool) –

TRUE if value was set under meta_item for container.

#### ges_meta_container_set_double

    gboolean
    ges_meta_container_set_double (GESMetaContainer * container,
                                   const gchar* meta_item,
                                   gdouble value)

Sets the value of the specified field of the meta container to the given double value.

Parameters:

`container` –

A GESMetaContainer

`meta_item` –

The key for the container field to set

`value` –

The value to set under meta_item

Returns –

TRUE if value was set under meta_item for container.

#### GES.MetaContainer.prototype.set_double

    function GES.MetaContainer.prototype.set_double(meta_item: String, value: Number): {
        // javascript wrapper for 'ges_meta_container_set_double'
    }

Sets the value of the specified field of the meta container to the given double value.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (String) –

The key for the container field to set

`value` (Number) –

The value to set under meta_item

Returns (Number) –

TRUE if value was set under meta_item for container.

#### GES.MetaContainer.set_double

    def GES.MetaContainer.set_double (self, meta_item, value):
        #python wrapper for 'ges_meta_container_set_double'

Sets the value of the specified field of the meta container to the given double value.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (str) –

The key for the container field to set

`value` (float) –

The value to set under meta_item

Returns (bool) –

TRUE if value was set under meta_item for container.

#### ges_meta_container_set_float

    gboolean
    ges_meta_container_set_float (GESMetaContainer * container,
                                  const gchar* meta_item,
                                  gfloat value)

Sets the value of the specified field of the meta container to the given float value.

Parameters:

`container` –

A GESMetaContainer

`meta_item` –

The key for the container field to set

`value` –

The value to set under meta_item

Returns –

TRUE if value was set under meta_item for container.

#### GES.MetaContainer.prototype.set_float

    function GES.MetaContainer.prototype.set_float(meta_item: String, value: Number): {
        // javascript wrapper for 'ges_meta_container_set_float'
    }

Sets the value of the specified field of the meta container to the given float value.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (String) –

The key for the container field to set

`value` (Number) –

The value to set under meta_item

Returns (Number) –

TRUE if value was set under meta_item for container.

#### GES.MetaContainer.set_float

    def GES.MetaContainer.set_float (self, meta_item, value):
        #python wrapper for 'ges_meta_container_set_float'

Sets the value of the specified field of the meta container to the given float value.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (str) –

The key for the container field to set

`value` (float) –

The value to set under meta_item

Returns (bool) –

TRUE if value was set under meta_item for container.

#### ges_meta_container_set_int

    gboolean
    ges_meta_container_set_int (GESMetaContainer * container,
                                const gchar* meta_item,
                                gint value)

Sets the value of the specified field of the meta container to the given int value.

Parameters:

`container` –

A GESMetaContainer

`meta_item` –

The key for the container field to set

`value` –

The value to set under meta_item

Returns –

TRUE if value was set under meta_item for container.

#### GES.MetaContainer.prototype.set_int

    function GES.MetaContainer.prototype.set_int(meta_item: String, value: Number): {
        // javascript wrapper for 'ges_meta_container_set_int'
    }

Sets the value of the specified field of the meta container to the given int value.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (String) –

The key for the container field to set

`value` (Number) –

The value to set under meta_item

Returns (Number) –

TRUE if value was set under meta_item for container.

#### GES.MetaContainer.set_int

    def GES.MetaContainer.set_int (self, meta_item, value):
        #python wrapper for 'ges_meta_container_set_int'

Sets the value of the specified field of the meta container to the given int value.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (str) –

The key for the container field to set

`value` (int) –

The value to set under meta_item

Returns (bool) –

TRUE if value was set under meta_item for container.

#### ges_meta_container_set_int64

    gboolean
    ges_meta_container_set_int64 (GESMetaContainer * container,
                                  const gchar* meta_item,
                                  gint64 value)

Sets the value of the specified field of the meta container to the given int64 value.

Parameters:

`container` –

A GESMetaContainer

`meta_item` –

The key for the container field to set

`value` –

The value to set under meta_item

Returns –

TRUE if value was set under meta_item for container.

#### GES.MetaContainer.prototype.set_int64

    function GES.MetaContainer.prototype.set_int64(meta_item: String, value: Number): {
        // javascript wrapper for 'ges_meta_container_set_int64'
    }

Sets the value of the specified field of the meta container to the given int64 value.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (String) –

The key for the container field to set

`value` (Number) –

The value to set under meta_item

Returns (Number) –

TRUE if value was set under meta_item for container.

#### GES.MetaContainer.set_int64

    def GES.MetaContainer.set_int64 (self, meta_item, value):
        #python wrapper for 'ges_meta_container_set_int64'

Sets the value of the specified field of the meta container to the given int64 value.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (str) –

The key for the container field to set

`value` (int) –

The value to set under meta_item

Returns (bool) –

TRUE if value was set under meta_item for container.

#### ges_meta_container_set_marker_list

    gboolean
    ges_meta_container_set_marker_list (GESMetaContainer * container,
                                        const gchar* meta_item,
                                        const GESMarkerList * list)

Sets the value of the specified field of the meta container to the given marker list value.

Parameters:

`container` –

A GESMetaContainer

`meta_item` –

The key for the container field to set

`list` –

The value to set under meta_item

Returns –

TRUE if value was set under meta_item for container.

Since : 1.18

#### GES.MetaContainer.prototype.set_marker_list

    function GES.MetaContainer.prototype.set_marker_list(meta_item: String, list: GES.MarkerList): {
        // javascript wrapper for 'ges_meta_container_set_marker_list'
    }

Sets the value of the specified field of the meta container to the given marker list value.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (String) –

The key for the container field to set

`list` (GES.MarkerList) –

The value to set under meta_item

Returns (Number) –

TRUE if value was set under meta_item for container.

Since : 1.18

#### GES.MetaContainer.set_marker_list

    def GES.MetaContainer.set_marker_list (self, meta_item, list):
        #python wrapper for 'ges_meta_container_set_marker_list'

Sets the value of the specified field of the meta container to the given marker list value.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (str) –

The key for the container field to set

`list` (GES.MarkerList) –

The value to set under meta_item

Returns (bool) –

TRUE if value was set under meta_item for container.

Since : 1.18

#### ges_meta_container_set_meta

    gboolean
    ges_meta_container_set_meta (GESMetaContainer * container,
                                 const gchar* meta_item,
                                 const GValue * value)

Sets the value of the specified field of the meta container to a copy of the given value. If the given value is NULL, the field given by meta_item is removed and TRUE is returned.

Parameters:

`container` –

A GESMetaContainer

`meta_item` –

The key for the container field to set

`value` ( [nullable]) –

The value to set under meta_item, or NULL to remove the corresponding field

Returns –

TRUE if value was set under meta_item for container.

#### GES.MetaContainer.prototype.set_meta

    function GES.MetaContainer.prototype.set_meta(meta_item: String, value: GObject.Value): {
        // javascript wrapper for 'ges_meta_container_set_meta'
    }

Sets the value of the specified field of the meta container to a copy of the given value. If the given value is NULL, the field given by meta_item is removed and TRUE is returned.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (String) –

The key for the container field to set

`value` (GObject.Value) –

The value to set under meta_item, or NULL to remove the corresponding field

Returns (Number) –

TRUE if value was set under meta_item for container.

#### GES.MetaContainer.set_meta

    def GES.MetaContainer.set_meta (self, meta_item, value):
        #python wrapper for 'ges_meta_container_set_meta'

Sets the value of the specified field of the meta container to a copy of the given value. If the given value is NULL, the field given by meta_item is removed and TRUE is returned.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (str) –

The key for the container field to set

`value` (GObject.Value) –

The value to set under meta_item, or NULL to remove the corresponding field

Returns (bool) –

TRUE if value was set under meta_item for container.

#### ges_meta_container_set_string

    gboolean
    ges_meta_container_set_string (GESMetaContainer * container,
                                   const gchar* meta_item,
                                   const gchar* value)

Sets the value of the specified field of the meta container to the given string value.

Parameters:

`container` –

A GESMetaContainer

`meta_item` –

The key for the container field to set

`value` –

The value to set under meta_item

Returns –

TRUE if value was set under meta_item for container.

#### GES.MetaContainer.prototype.set_string

    function GES.MetaContainer.prototype.set_string(meta_item: String, value: String): {
        // javascript wrapper for 'ges_meta_container_set_string'
    }

Sets the value of the specified field of the meta container to the given string value.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (String) –

The key for the container field to set

`value` (String) –

The value to set under meta_item

Returns (Number) –

TRUE if value was set under meta_item for container.

#### GES.MetaContainer.set_string

    def GES.MetaContainer.set_string (self, meta_item, value):
        #python wrapper for 'ges_meta_container_set_string'

Sets the value of the specified field of the meta container to the given string value.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (str) –

The key for the container field to set

`value` (str) –

The value to set under meta_item

Returns (bool) –

TRUE if value was set under meta_item for container.

#### ges_meta_container_set_uint

    gboolean
    ges_meta_container_set_uint (GESMetaContainer * container,
                                 const gchar* meta_item,
                                 guint value)

Sets the value of the specified field of the meta container to the given uint value.

Parameters:

`container` –

A GESMetaContainer

`meta_item` –

The key for the container field to set

`value` –

The value to set under meta_item

Returns –

TRUE if value was set under meta_item for container.

#### GES.MetaContainer.prototype.set_uint

    function GES.MetaContainer.prototype.set_uint(meta_item: String, value: Number): {
        // javascript wrapper for 'ges_meta_container_set_uint'
    }

Sets the value of the specified field of the meta container to the given uint value.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (String) –

The key for the container field to set

`value` (Number) –

The value to set under meta_item

Returns (Number) –

TRUE if value was set under meta_item for container.

#### GES.MetaContainer.set_uint

    def GES.MetaContainer.set_uint (self, meta_item, value):
        #python wrapper for 'ges_meta_container_set_uint'

Sets the value of the specified field of the meta container to the given uint value.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (str) –

The key for the container field to set

`value` (int) –

The value to set under meta_item

Returns (bool) –

TRUE if value was set under meta_item for container.

#### ges_meta_container_set_uint64

    gboolean
    ges_meta_container_set_uint64 (GESMetaContainer * container,
                                   const gchar* meta_item,
                                   guint64 value)

Sets the value of the specified field of the meta container to the given uint64 value.

Parameters:

`container` –

A GESMetaContainer

`meta_item` –

The key for the container field to set

`value` –

The value to set under meta_item

Returns –

TRUE if value was set under meta_item for container.

#### GES.MetaContainer.prototype.set_uint64

    function GES.MetaContainer.prototype.set_uint64(meta_item: String, value: Number): {
        // javascript wrapper for 'ges_meta_container_set_uint64'
    }

Sets the value of the specified field of the meta container to the given uint64 value.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (String) –

The key for the container field to set

`value` (Number) –

The value to set under meta_item

Returns (Number) –

TRUE if value was set under meta_item for container.

#### GES.MetaContainer.set_uint64

    def GES.MetaContainer.set_uint64 (self, meta_item, value):
        #python wrapper for 'ges_meta_container_set_uint64'

Sets the value of the specified field of the meta container to the given uint64 value.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`meta_item` (str) –

The key for the container field to set

`value` (int) –

The value to set under meta_item

Returns (bool) –

TRUE if value was set under meta_item for container.

### Signals

#### notify-meta

    notify_meta_callback (GESMetaContainer * self,
                          gchar* key,
                          GValue * value,
                          gpointer user_data)

This is emitted for a meta container whenever the metadata under one of its fields changes, is set for the first time, or is removed. In the latter case, value will be NULL.

Parameters:

`self` –
No description available
`key` –

The key for the container field that changed

`value` ( [nullable]) –

The new value under key

`user_data` –
No description available

Flags: Run First / No Hooks

#### notify-meta

    function notify_meta_callback(self: GES.MetaContainer, key: String, value: GObject.Value, user_data: Object): {
        // javascript callback for the 'notify-meta' signal
    }

This is emitted for a meta container whenever the metadata under one of its fields changes, is set for the first time, or is removed. In the latter case, value will be NULL.

Parameters:

`self` (GES.MetaContainer) –
No description available
`key` (String) –

The key for the container field that changed

`value` (GObject.Value) –

The new value under key

`user_data` (Object) –
No description available

Flags: Run First / No Hooks

#### notify-meta

    def notify_meta_callback (self, key, value, *user_data):
        #python callback for the 'notify-meta' signal

This is emitted for a meta container whenever the metadata under one of its fields changes, is set for the first time, or is removed. In the latter case, value will be NULL.

Parameters:

`self` (GES.MetaContainer) –
No description available
`key` (str) –

The key for the container field that changed

`value` (GObject.Value) –

The new value under key

`user_data` (variadic) –
No description available

Flags: Run First / No Hooks

## Function Macros

### GES_META_CONTAINER_GET_INTERFACE

    #define GES_META_CONTAINER_GET_INTERFACE(inst)  (G_TYPE_INSTANCE_GET_INTERFACE ((inst), GES_TYPE_META_CONTAINER, GESMetaContainerInterface))

## Constants

### GES_META_DESCRIPTION

    #define GES_META_DESCRIPTION                         "description"

The description of the object, to be used in various contexts (string).

### GES.META_DESCRIPTION

The description of the object, to be used in various contexts (string).

### GES.META_DESCRIPTION

The description of the object, to be used in various contexts (string).

### GES_META_FORMATTER_EXTENSION

    #define GES_META_FORMATTER_EXTENSION                  "extension"

The file extension of files produced by a GESFormatter (string).

### GES.META_FORMATTER_EXTENSION

The file extension of files produced by a GES.Formatter (string).

### GES.META_FORMATTER_EXTENSION

The file extension of files produced by a GES.Formatter (string).

### GES_META_FORMATTER_MIMETYPE

    #define GES_META_FORMATTER_MIMETYPE                   "mimetype"

The mimetype used for the file produced by a GESFormatter (string).

### GES.META_FORMATTER_MIMETYPE

The mimetype used for the file produced by a GES.Formatter (string).

### GES.META_FORMATTER_MIMETYPE

The mimetype used for the file produced by a GES.Formatter (string).

### GES_META_FORMATTER_NAME

    #define GES_META_FORMATTER_NAME                       "name"

The name of a formatter, used as the id for GESFormatter assets (string).

### GES.META_FORMATTER_NAME

The name of a formatter, used as the id for GES.Formatter assets (string).

### GES.META_FORMATTER_NAME

The name of a formatter, used as the id for GES.Formatter assets (string).

### GES_META_FORMATTER_RANK

    #define GES_META_FORMATTER_RANK                       "rank"

The rank of a GESFormatter (a GstRank).

### GES.META_FORMATTER_RANK

The rank of a GES.Formatter (a Gst.Rank).

### GES.META_FORMATTER_RANK

The rank of a GES.Formatter (a Gst.Rank).

### GES_META_FORMATTER_VERSION

    #define GES_META_FORMATTER_VERSION                    "version"

The version of a GESFormatter (double).

### GES.META_FORMATTER_VERSION

The version of a GES.Formatter (double).

### GES.META_FORMATTER_VERSION

The version of a GES.Formatter (double).

### GES_META_FORMAT_VERSION

    #define GES_META_FORMAT_VERSION                       "format-version"

The version of the format in which a project is serialized (string).

### GES.META_FORMAT_VERSION

The version of the format in which a project is serialized (string).

### GES.META_FORMAT_VERSION

The version of the format in which a project is serialized (string).

### GES_META_MARKER_COLOR

    #define GES_META_MARKER_COLOR                         "marker-color"

The ARGB color of a GESMarker (an AARRGGBB hex as a uint).

### GES.META_MARKER_COLOR

The ARGB color of a GES.Marker (an AARRGGBB hex as a uint).

### GES.META_MARKER_COLOR

The ARGB color of a GES.Marker (an AARRGGBB hex as a uint).

### GES_META_VOLUME

    #define GES_META_VOLUME                              "volume"

The volume for a GESTrack or a GESLayer (float).

### GES.META_VOLUME

The volume for a GES.Track or a GES.Layer (float).

### GES.META_VOLUME

The volume for a GES.Track or a GES.Layer (float).

### GES_META_VOLUME_DEFAULT

    #define GES_META_VOLUME_DEFAULT                       1.0

The default volume for a GESTrack or a GESLayer as a float.

### GES.META_VOLUME_DEFAULT

The default volume for a GES.Track or a GES.Layer as a float.

### GES.META_VOLUME_DEFAULT

The default volume for a GES.Track or a GES.Layer as a float.

## Callbacks

### GESMetaForeachFunc

    (*GESMetaForeachFunc) (const GESMetaContainer * container,
                           const gchar* key,
                           const GValue * value,
                           gpointer user_data)

A method to be called on all of a meta container's fields.

Parameters:

`container` –

A GESMetaContainer

`key` –

The key for one of container's fields

`value` –

The set value under key

`user_data` –

User data

### GES.MetaForeachFunc

    function GES.MetaForeachFunc(container: GES.MetaContainer, key: String, value: GObject.Value, user_data: Object): {
        // javascript wrapper for 'GESMetaForeachFunc'
    }

A method to be called on all of a meta container's fields.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`key` (String) –

The key for one of container's fields

`value` (GObject.Value) –

The set value under key

`user_data` (Object) –

User data

### GES.MetaForeachFunc

    def GES.MetaForeachFunc (container, key, value, *user_data):
        #python wrapper for 'GESMetaForeachFunc'

A method to be called on all of a meta container's fields.

Parameters:

`container` (GES.MetaContainer) –

A GES.MetaContainer

`key` (str) –

The key for one of container's fields

`value` (GObject.Value) –

The set value under key

`user_data` (variadic) –

User data

Subpages:

GESMarkerList – implements a list of markers with metadata asociated to time positions

The results of the search are